Inhalte

# Funktion CSng

Konvertiert einen beliebigen Zeichenfolgen- oder numerischen Ausdruck in einen Ausdruck vom Typ "single".

### Syntax:

    CSng (Ausdruck As Variant) As Single

### Rückgabetyp:

Single

### Parameter:

Ausdruck: Jede Zeichenfolge oder jeder numerische Ausdruck, den Sie konvertieren möchten. Um einen Zeichenfolgenausdruck zu konvertieren, muss die Zahl als normaler Text unter Verwendung des Standardzahlenformats Ihrer LibreOffice Gebietsschemaeinstellungen eingegeben werden. Beispielsweise muss die Nummer mit einem Komma "," als Dezimaltrennzeichen und einem Punkt "." als Tausendertrennzeichen (beispielsweise 123.456,78) für die deutsche Gebietsschemaeinstellung eingegeben werden.

### Fehlercodes:

5 Ungültiger Prozeduraufruf

### Beispiel:

Numerische Ausdrücke werden gemäß LibreOffice Gebietsschemaeinstellungen angezeigt:

    Sub ExampleCountryConvert
        MsgBox CDbl(1234.5678) ' 1234,5678
        MsgBox CInt(1234.5678) ' 1235
        MsgBox CLng(1234+5678) ' 6912
        MsgBox CSng(1234.5678) ' 1234,567749023

        MsgBox CDbl(Ausdruck := 5678.1234) ' 5678,1234
        MsgBox CInt(expression := 5678.1234) ' 5678
        MsgBox CLng(expression := 5678+1234) ' 6912
        MsgBox CSng(Ausdruck := 5678.1234) ' 5678,123535156
    End Sub

Verwandte Themen

Funktion CBool

Funktion CByte

Funktion CCur

Funktion CDate

Funktion CDbl

Funktion CDec

Funktion CInt

Funktion CLng

Funktion CStr

Bitte unterstützen Sie uns!